## ruby-gnome 3.4.3

=== gobject-introspection/spike/Makefile ===
LLVM_CONFIG = llvm-config

all: run

clean:
	rm -rf libllvm-shared.so
	rm -rf llvm-call

run: llvm-call
	./llvm-call

libllvm-shared.so: llvm-shared.c
	cc -fPIC -shared -o $@ $<

llvm-call: llvm-call.cc libllvm-shared.so
	c++ $$($(LLVM_CONFIG) --cxxflags --ldflags --libs) --std=c++14 \
	  -o $@ $< libllvm-shared.so

## ruby-gnome 3.4.0

=== debian/changelog ===
ruby-gnome (3.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.4.0 (Closes: #941795)
  * Bump Standards-Version to 4.4.1
  * Refresh d/patches

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Thu, 10 Oct 2019 23:30:54 +0530

ruby-gnome (3.3.8-2) unstable; urgency=medium

  * set Breaks/Replaces: ruby-gnome2 and ruby-gnome2-dev (Closes: #940495).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 16 Sep 2019 23:38:58 +0900

ruby-gnome (3.3.8-1) unstable; urgency=medium

  * New upstream version 3.3.8
  * replace ruby-gnome2 with ruby-gnome, renamed by upstream.
    - d/control: rename Source and Package name from ruby-gnome2 to ruby-gnome.
    - d/control: add ruby-gnome2 and ruby-gnome2-dev transitional packages.
    - d/copyright: update upstream name and source.
    - d/watch: update upstream github url.
    - d/ruby-gnome-dev.lintian-overrides: renamed from ruby-gnome2-dev.L-O.
    - d/check-upstream-versus-debian: update value name.
  * refresh patch.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 13 Sep 2019 21:58:24 +0900

ruby-gnome2 (3.3.7-2) unstable; urgency=medium

  * d/p/glib2_fix_a_bug_that_signal_created_by_signal_new_may_be_GC-ed.patch:
    removed, applied and smplified upstream at 3.2.6.
  * d/p/do-not-depend-dependency-check.patch: fix typo.
  * d/TODO: removed, it is outdated.
  * d/ruby-gtk2.README.Debian: removed, it is outdated.
  * d/control: ruby-glib2: add missing dependency on ruby-pkg-config >= 1.3.5
    (Closes: #939437).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 05 Sep 2019 12:09:29 +0900

ruby-gnome2 (3.3.7-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 3.3.7
  * refresh patch.
  * Use debhelper-compat instead of debian/compat
  * d/ruby-gnome2-dev.install: add rake/ directory warned by dh_missing.
  * d/ruby-gobject-introspection.install: add gi.rb warned by dh_missing.
  * d/ruby-gstreamer.install: add gstreamer.rb warned by dh_missing.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 18 Aug 2019 14:11:57 +0900

ruby-gnome2 (3.3.6-2) unstable; urgency=medium

  * d/source/lintian-overrides: remove lintian-overrides for too old packages
  * d/rules: eliminate lintian warning: debug-symbol-migration-possibly-complete
  * d/ruby-gtk2.README.Debian: eliminate lintian warning:
    spelling-error-in-readme-debian
  * Bump debhelper compatibility level to 12
  * Update Standards-Version to 4.4.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 02 Aug 2019 17:57:45 +0900

ruby-gnome2 (3.3.6-1) unstable; urgency=medium

  * New upstream version 3.3.6

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 29 Apr 2019 21:44:16 +0900

ruby-gnome2 (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5
  * d/control: tighten ruby-pkg-config version
  * d/p/do-not-use-native-package-installer.patch:
    do not check Homebrew due to using native-package-installer
  * refresh patches.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 14 Mar 2019 22:36:26 +0900

ruby-gnome2 (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 07 Feb 2019 20:05:38 +0900

ruby-gnome2 (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Refresh patches.
  * Update Standards-Version to 4.3.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 13 Jan 2019 11:45:44 +0900

ruby-gnome2 (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * offer gksourceview4 instead of gtksourceview3 (Closes: #912930)
  * refresh patches
  * Update Standards-Version to 4.2.1

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 05 Nov 2018 19:58:15 +0900

ruby-gnome2 (3.2.9-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 3.2.8
  * New upstream version 3.2.9
  * d/p/do-no-depend-dependency-check.patch:
    rsvg2 and webkit2-gtk do not depend dependency-check
  * d/rules: rsvg2 and webkit2-gtk have own gemspecs now.
  * d/p/ignored-test-modules.patch: do not test gtksourceview4
  * d/changelog: eliminate lintian warning: file-contains-trailing-whitespace
  * d/ruby-gtksourceview2.*: remove already dropped ruby-gtksourceview2 files
  * refresh patches.
  * Update Standards-Version to 4.2.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 12 Aug 2018 00:18:06 +0900

ruby-gnome2 (3.2.7-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * upstream has some *.gemspecs
    - d/rules: rsvg2, webkit2-gtk and webkit2-gtk do not have *.gemspec.
  * do not depend native-package-installer
    - d/p/do-not-use-native-package-installer.patch: update.
    - d/p/do-no-depend-dependency-check.patch: new patch.
  * refresh patches.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 10 Jun 2018 15:12:47 +0900

ruby-gnome2 (3.2.5-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/p/glib2_fix_a_bug_that_signal_created_by_signal_new_may_be_GC-ed.patch:
    fix "warning: GRC losure invoking callback: already destroyed: (anonymous)"
    see https://dev.mikutter.hachune.net/issues/1221

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 05 May 2018 13:51:45 +0900

ruby-gnome2 (3.2.5-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  - Ruby/Poppler: Added a workaround for poppler-glib 0.63 bug. see #896596

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 04 May 2018 16:07:16 +0900

ruby-gnome2 (3.2.4-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  - d/p/fix_a_bug_that_some_constant_names_are_not_defined.patch: removed,
    imported upstream.
  * Refresh patches.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 09 Apr 2018 21:14:29 +0900

ruby-gnome2 (3.2.3-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * glib2: fix a bug that some constant names aren't defined (Closes: #894816).


=== debian/control ===
Source: ruby-gnome
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Paul van Tilburg <paulvt@debian.org>,
           Michael Schutte <m.schutte.jr@gmail.com>,
           HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb (>= 0.4.1~),
               dctrl-tools,
               rake-compiler,
               ruby-mechanize,
               libgirepository1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtksourceview-3.0-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpng-dev,
               librsvg2-dev (>= 2.8.0),
               libxmu-dev,
               pkg-config,
               ruby-cairo,
               ruby-pkg-config (>= 1.3.5)
Standards-Version: 4.4.1
Homepage: http://ruby-gnome2.osdn.jp/
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-gnome
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-gnome.git
XS-Ruby-Versions: all

Package: ruby-glib2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: glib2
Depends: ruby | ruby-interpreter,
         ruby-pkg-config (>= 1.3.5),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GLib 2 bindings for the Ruby language
 GLib is a useful general-purpose C library, notably used by GTK+ and GNOME.
 .
 This package contains libraries for using GLib 2 with the Ruby programming
 language. It is most likely useful in conjunction with Ruby bindings for
 other libraries such as GTK+.

Package: ruby-atk
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: atk
Depends: gir1.2-atk-1.0,
         ruby | ruby-interpreter,
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-glib2 (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: ATK bindings for the Ruby language
 ATK is a toolkit providing accessibility interfaces for applications or other
 toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 This package contains libraries for using ATK with the Ruby programming
 language.

Package: ruby-cairo-gobject
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: cairo-gobject
Depends: ruby | ruby-interpreter,
         ruby-cairo,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: CairoGObject bindings for the Ruby language
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends; CairoGObject provides
 wrapper GObject types for all Cairo types.
 .
 This package contains libraries for CairoGObject with the Ruby language.

Package: ruby-clutter
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: clutter
Depends: gir1.2-clutter-1.0,
         ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: Clutter bindings for the Ruby language
 Clutter is a GObject based library for creating fast, visually rich,
 graphical user interfaces.  Clutter works by manipulating a scene-graph of
 2D surfaces, or 'actors', inside a 3D space.
 .
 This package contains libraries for using Clutter with the Ruby language.

Package: ruby-clutter-gdk
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: clutter-gdk
Depends: gir1.2-clutter-1.0,
         ruby | ruby-interpreter,
         ruby-clutter (>= ${source:Version}),
         ruby-gdk3 (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: Clutter-Gdk bindings for the Ruby language
 Clutter-Gdk is a library for GDK specific API of Clutter. This library
 provides some specific API, allowing integration with the GDK API for
 manipulating the stage window and handling events outside of Clutter.
 .
 This package contains libraries for using Clutter-Gdk with the Ruby language.

Package: ruby-clutter-gtk
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: clutter-gtk
Depends: gir1.2-gtkclutter-1.0,
         ruby | ruby-interpreter,
         ruby-clutter (>= ${source:Version}),
         ruby-clutter-gdk (>= ${source:Version}),
         ruby-gtk3 (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: Clutter-Gtk bindings for the Ruby language
 Clutter-Gtk is an integration library for the Clutter toolkit providing
 access and integration for the GTK+ library.  Clutter-Gtk allows embedding
 a Clutter scene graph into a GTK+ application; retrieving themeing
 information; integrate GTK+ data structures and object classes with
 Clutter actors.
 .
 This package contains libraries for using Clutter-Gtk with the Ruby language.

Package: ruby-gdk-pixbuf2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gdk_pixbuf2
Depends: ruby | ruby-interpreter,
         gir1.2-gdkpixbuf-2.0,
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-gio2 (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: Gdk-Pixbuf 2 bindings for the Ruby language
 Gdk-Pixbuf is a library for loading and rendering images.
 .
 This package contains libraries for using Gdk-Pixbuf with the Ruby programming
 language.

Package: ruby-gdk3
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gdk3
Depends: ruby | ruby-interpreter,
         gir1.2-gtk-3.0,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: GDK 3 bindings for the Ruby language
 GDK is a computer graphics library that acts as a wrapper around the
 low-level drawing and windowing functions provided by the underlying
 graphics system.  It is mainly use by GTK+ 3.
 .
 This package contains libraries for using GDK 3 with the Ruby programming
 language.

Package: ruby-gio2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gio2
Depends: ruby | ruby-interpreter,
         gir1.2-glib-2.0,
         ruby-glib2 (= ${binary:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GIO bindings for the Ruby language
 GIO is striving to provide a modern, easy-to-use VFS API that sits at the
 right level in the library stack, as well as other generally useful APIs for
 desktop applications such as networking and D-Bus support.
 .
 This package provides GIO bindings to be used in Ruby programs.

Package: ruby-gnome
Architecture: all
Depends: ruby-atk,
         ruby-cairo-gobject,
         ruby-gdk-pixbuf2,
         ruby-gdk3,
         ruby-gio2,
         ruby-gstreamer,
         ruby-gtk3,
         ruby-gtksourceview4,
         ruby-pango,
         ruby-poppler,
         ruby-rsvg2,
         ${misc:Depends}
Breaks: ruby-gnome2 (<< 3.3.8)
Replaces: ruby-gnome2 (<< 3.3.8)
Multi-Arch: foreign
Description: GNOME-related bindings for the Ruby language
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This is an empty package that depends on the various packages that provide
 the individual bindings.

Package: ruby-gnome2
Depends: ${misc:Depends}, ruby-gnome
Architecture: all
Section: oldlibs
Description: transitional package for ruby-gnome
 This is a transitional package for ruby-gnome. It can safely be removed.

Package: ruby-gnome-dev
Architecture: any
Section: libdevel
Depends: ruby-all-dev,
         ruby-gnome,
         ruby-pkg-config,
         ${misc:Depends}
Breaks: ruby-gnome2-dev (<< 3.3.8)
Replaces: ruby-gnome2-dev (<< 3.3.8)
Multi-Arch: same
Description: GNOME-related bindings for the Ruby language (development files)
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This package contains development files required to build ruby-gnome
 extensions.

Package: ruby-gnome2-dev
Depends: ${misc:Depends}, ruby-gnome-dev
Architecture: all
Section: oldlibs
Description: transitional package for ruby-gnome-dev
 This is a transitional package for ruby-gnome-dev. It can safely be removed.

Package: ruby-gobject-introspection
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gobject-introspection
Depends: ruby | ruby-interpreter,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GObject Introspection bindings for the Ruby language
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries.  This introspection data can
 be used in several different use cases, for example automatic code
 generation for bindings, API verification and documentation generation.
 .
 This package contains library for using GObject Introspection with the Ruby
 programming language.

Package: ruby-gstreamer
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gstreamer
Depends: ruby | ruby-interpreter,
         gir1.2-gstreamer-1.0,
         ruby-atk (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ruby-pango (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GStreamer bindings for the Ruby language
 GStreamer is a media processing framework with support for a wide variety of
 data sources, sinks, and formats through the use of dynamically loaded
 plugins.
 .
 This package contains libraries for using GStreamer with the Ruby programming
 language.

Package: ruby-gtk2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gtk2
Depends: ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-pango (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GTK+ 2 bindings for the Ruby language
 GTK+ is a multi-platform toolkit for creating graphical user interfaces.
 Offering a complete set of widgets, GTK+ is suitable for projects ranging
 from small one-off tools to complete application suites.
 .
 This package contains libraries for using GTK+ 2 with the Ruby programming
 language.

Package: ruby-gtk3
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gtk3
Depends: ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-gdk3 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GTK+ 3 bindings for the Ruby language
 GTK+ is a multi-platform toolkit for creating graphical user interfaces.
 Offering a complete set of widgets, GTK+ is suitable for projects ranging
 from small one-off tools to complete application suites.
 .
 This package contains libraries for using GTK+ 3 with the Ruby programming
 language.

Package: ruby-gtksourceview4
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gtksourceview4
Depends: ruby | ruby-interpreter,
         gir1.2-gtksource-4,
         ruby-gtk3 (>= ${source:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: GtkSourceView4 bindings for the Ruby language
 GTKSourceView4 is a text widget that extends the standard GTK+ text widget.
 .
 This package contains libraries for using the GtkSourceView4 text widget

## ruby-gnome 3.4.1

=== debian/changelog ===
ruby-gnome (3.4.1-2build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 27 Feb 2020 21:29:16 +0000

ruby-gnome (3.4.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * d/control: tighten libgirepository1.0-dev and libffi-dev dependencies
   (Closes: #950219).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 01 Feb 2020 17:00:36 +0900

ruby-gnome (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * d/control: set Rules-Requires-Root: as no.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 18 Oct 2019 21:16:40 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                dctrl-tools,
                rake-compiler,
                ruby-mechanize,
-               libgirepository1.0-dev,
+               libgirepository1.0-dev (>= 1.62.0-4~),
+               libffi-dev (>= 3.3),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtksourceview-3.0-dev,
@@ -22,11 +23,12 @@
                pkg-config,
                ruby-cairo,
                ruby-pkg-config (>= 1.3.5)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://ruby-gnome2.osdn.jp/
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-gnome
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-gnome.git
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: ruby-glib2
 Architecture: any
@@ -335,4 +337,3 @@
 Description: GtkSourceView4 bindings for the Ruby language
  GTKSourceView4 is a text widget that extends the standard GTK+ text widget.
  .
- This package contains libraries for using the GtkSourceView4 text widget

=== debian/watch ===
version=3
https://github.com/ruby-gnome/ruby-gnome/releases .*/([0-9.]+).tar.gz

## ruby-gnome 3.4.3

=== debian/changelog ===
ruby-gnome (3.4.3-1+ubuntu5) jammy; urgency=medium

  * d/tests/control: add a dependency to ruby-webrick, removed from the Ruby
    standard library in 3.0

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 16 Dec 2021 15:04:42 +0100

ruby-gnome (3.4.3-1+ubuntu4) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 18:32:08 -0300

ruby-gnome (3.4.3-1+ubuntu3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 18 Nov 2021 11:32:37 -0300

ruby-gnome (3.4.3-1+ubuntu2) jammy; urgency=medium

  * No-change rebuild with higher version number to allow
    installability with latest gobject-introspection

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 26 Oct 2021 07:02:25 -0400

ruby-gnome (3.4.3-1ubuntu1) hirsute; urgency=medium

  * debian/tests/run-test:
    - set JSC_SIGNAL_FOR_GC to use another signal than SIGUSR1 to avoid
      handler conflicts with the new webkitgtk

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Mar 2021 21:10:39 +0100

ruby-gnome (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * Refresh patches.
  * d/ruby-gnome-dev.install: include usr/lib/ruby/vendor_ruby/mkmf-gnome.rb
  * Bump debhelper compatibility level to 13.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 27 May 2020 16:26:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ruby-gnome
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>,
            Michael Schutte <m.schutte.jr@gmail.com>,
            HIGUCHI Daisuke (VDR dai) <dai@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 0.4.1~),
                dctrl-tools,
                rake-compiler,
@@ -335,5 +336,3 @@
          ${misc:Depends}
 Multi-Arch: foreign
 Description: GtkSourceView4 bindings for the Ruby language
- GTKSourceView4 is a text widget that extends the standard GTK+ text widget.
- .

=== debian/rules ===
#!/usr/bin/make -f

export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR=1

export DESTDIR=$(CURDIR)/debian/tmp
export make=make V=1 DESTDIR='$(DESTDIR)' \
	sitelibdir='$(DESTDIR)$$(vendordir)' \
	sitearchdir='$(DESTDIR)$$(vendorarchdir)'

%:
	dh $@ --buildsystem=ruby --with ruby

MODULES = $(shell grep-dctrl -n -s X-DhRuby-Root '' debian/control)

override_dh_installdocs:
	dh_installdocs -XTODO

override_dh_fixperms-arch:
	dh_fixperms
	# Remove executable flag from some examples that aren't actually executable.
	chmod -x debian/ruby-glib2/usr/share/doc/ruby-glib2/examples/type-register*.rb
	chmod -x debian/ruby-gtk2/usr/share/doc/ruby-gtk2/examples/misc/properties.rb
	chmod -x debian/ruby-gtk3/usr/share/doc/ruby-gtk3/examples/misc/properties.rb

override_dh_compress:
	dh_compress -X.rb

=== debian/tests/control ===
Tests: run-test
Depends: @, quilt, xvfb, xauth,
 pkg-config, libgtk-3-dev, dbus-x11, gstreamer1.0-plugins-good,
 gnome-icon-theme, libxml2-utils, ruby-webrick
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/ruby-gnome/ruby-gnome/tags .*/([0-9.]+).tar.gz

## ruby-gnome 3.5.1

=== debian/changelog ===
ruby-gnome (3.5.1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:05:02 +1100

ruby-gnome (3.5.1-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:37:09 +0000

ruby-gnome (3.5.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:53:05 +0000

ruby-gnome (3.5.1-1build1) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 02:52:43 -0300

ruby-gnome (3.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches
  * d/control: b-d on pkgconf instead of pkg-config.
  * d/control: depend on ${ruby:Depends} instead of ruby-interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 06 Feb 2024 16:51:17 -0300

ruby-gnome (3.4.3-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Update debian/watch
  * Add patch to switch from webkit2gtk 4.0 to 4.1
  * Update Depends
  * Drop obsolete transitional packages (Closes: #1038297, #1038298)
  * Drop obsolete clutter packages (Closes: #1041620)

  [ Debian Janitor ]
  * Apply multi-arch hints. + ruby-gnome2: Add Multi-Arch: foreign
  * Remove constraints unnecessary since buster (oldstable)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 20:42:50 -0500

ruby-gnome (3.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused ruby-gtk2 (Closes: #967733).
  * Include upstream patch for GLib >= 2.75 (Closes: #1042132).

 -- Bastian Germann <bage@debian.org>  Mon, 14 Aug 2023 17:15:42 +0000

ruby-gnome (3.4.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the source
    package

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.5.1, no changes needed.

  [ Antonio Terceiro ]
  * debian/watch: point to tags page

  [ HIGUCHI Daisuke (VDR dai) ]
  * I finally lost my motivation then stepped down ruby-gnome's uploader.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 26 Jun 2022 21:29:08 +0900

=== debian/control ===
Source: ruby-gnome
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Paul van Tilburg <paulvt@debian.org>,
           Michael Schutte <m.schutte.jr@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               dctrl-tools,
               rake-compiler,
               ruby-mechanize,
               libgirepository1.0-dev (>= 1.62.0-4~),
               libffi-dev (>= 3.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtksourceview-3.0-dev,
               libjpeg-dev,
               libpng-dev,
               librsvg2-dev,
               libxmu-dev,
               pkgconf,
               ruby-cairo,
               ruby-pkg-config (>= 1.3.5)
Standards-Version: 4.6.2
Homepage: https://ruby-gnome2.osdn.jp/
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-gnome
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-gnome.git
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-glib2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: glib2
Depends: ruby-pkg-config (>= 1.3.5),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: GLib 2 bindings for the Ruby language
 GLib is a useful general-purpose C library, notably used by GTK+ and GNOME.
 .
 This package contains libraries for using GLib 2 with the Ruby programming
 language. It is most likely useful in conjunction with Ruby bindings for
 other libraries such as GTK+.

Package: ruby-atk
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: atk
Depends: gir1.2-atk-1.0,
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-glib2 (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: ATK bindings for the Ruby language
 ATK is a toolkit providing accessibility interfaces for applications or other
 toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 This package contains libraries for using ATK with the Ruby programming
 language.

Package: ruby-cairo-gobject
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: cairo-gobject
Depends: ruby-cairo,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: CairoGObject bindings for the Ruby language
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends; CairoGObject provides
 wrapper GObject types for all Cairo types.
 .
 This package contains libraries for CairoGObject with the Ruby language.

Package: ruby-gdk-pixbuf2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gdk_pixbuf2
Depends: gir1.2-gdkpixbuf-2.0,
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-gio2 (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: Gdk-Pixbuf 2 bindings for the Ruby language
 Gdk-Pixbuf is a library for loading and rendering images.
 .
 This package contains libraries for using Gdk-Pixbuf with the Ruby programming
 language.

Package: ruby-gdk3
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gdk3
Depends: gir1.2-gtk-3.0,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: GDK 3 bindings for the Ruby language
 GDK is a computer graphics library that acts as a wrapper around the
 low-level drawing and windowing functions provided by the underlying
 graphics system.  It is mainly use by GTK+ 3.
 .
 This package contains libraries for using GDK 3 with the Ruby programming
 language.

Package: ruby-gio2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gio2
Depends: gir1.2-glib-2.0,
         ruby-glib2 (= ${binary:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: GIO bindings for the Ruby language
 GIO is striving to provide a modern, easy-to-use VFS API that sits at the
 right level in the library stack, as well as other generally useful APIs for
 desktop applications such as networking and D-Bus support.
 .
 This package provides GIO bindings to be used in Ruby programs.

Package: ruby-gnome
Architecture: all
Depends: ruby-atk,
         ruby-cairo-gobject,
         ruby-gdk-pixbuf2,
         ruby-gdk3,
         ruby-gio2,
         ruby-gstreamer,
         ruby-gtk3,
         ruby-gtksourceview4,
         ruby-pango,
         ruby-poppler,
         ruby-rsvg2,
         ${misc:Depends}
Breaks: ruby-gnome2 (<< 3.3.8)
Replaces: ruby-gnome2 (<< 3.3.8)
Multi-Arch: foreign
Description: GNOME-related bindings for the Ruby language
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This is an empty package that depends on the various packages that provide
 the individual bindings.

Package: ruby-gnome-dev
Architecture: any
Section: libdevel
Depends: ruby-all-dev,
         ruby-gnome,
         ruby-pkg-config,
         ${misc:Depends}
Breaks: ruby-gnome2-dev (<< 3.3.8)
Replaces: ruby-gnome2-dev (<< 3.3.8)
Multi-Arch: same
Description: GNOME-related bindings for the Ruby language (development files)
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This package contains development files required to build ruby-gnome
 extensions.

Package: ruby-gobject-introspection
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gobject-introspection
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: GObject Introspection bindings for the Ruby language
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries.  This introspection data can
 be used in several different use cases, for example automatic code
 generation for bindings, API verification and documentation generation.
 .
 This package contains library for using GObject Introspection with the Ruby
 programming language.

Package: ruby-gstreamer
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gstreamer
Depends: gir1.2-gstreamer-1.0,
         ruby-atk (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ruby-pango (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: GStreamer bindings for the Ruby language
 GStreamer is a media processing framework with support for a wide variety of
 data sources, sinks, and formats through the use of dynamically loaded
 plugins.
 .
 This package contains libraries for using GStreamer with the Ruby programming
 language.

Package: ruby-gtk3
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gtk3
Depends: ruby-atk (>= ${source:Version}),
         ruby-gdk3 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: GTK+ 3 bindings for the Ruby language
 GTK+ is a multi-platform toolkit for creating graphical user interfaces.
 Offering a complete set of widgets, GTK+ is suitable for projects ranging
 from small one-off tools to complete application suites.
 .
 This package contains libraries for using GTK+ 3 with the Ruby programming
 language.

Package: ruby-gtksourceview4
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: gtksourceview4
Depends: gir1.2-gtksource-4,
         ruby-gtk3 (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: GtkSourceView4 bindings for the Ruby language
 GTKSourceView4 is a text widget that extends the standard GTK+ text widget.
 .
 This package contains libraries for using the GtkSourceView4 text widget
 with syntax highlighting and other features typical of a source code
 editor in the Ruby programming language.

Package: ruby-pango
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: pango
Depends: gir1.2-pango-1.0,
         ruby-gobject-introspection (= ${binary:Version}),
         ruby-cairo-gobject (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${ruby:Depends}
Multi-Arch: same
Description: Pango bindings for the Ruby language
 Pango is a library for layout and rendering of text, with an emphasis on
 internationalization.
 .
 This package contains libraries for using Pango with the Ruby programming
 language.

Package: ruby-poppler
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: poppler
Depends: gir1.2-poppler-0.18,
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-gio2 (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: Ruby bindings for the libpoppler-glib library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 libpoppler-glib is Glib binding for Poppler.
 .
 This package contains ruby bindings for libpoppler-glib.

Package: ruby-rsvg2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: rsvg2
Depends: gir1.2-rsvg-2.0,
         ruby-glib2 (>= ${source:Version}),
         ruby-gio2 (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: RSVG renderer bindings for the Ruby language
 The rsvg library is an efficient renderer for Scalable Vector Graphics (SVG)
 pictures.
 .
 This package contains libraries for using RSVG with the Ruby programming
 language.

Package: ruby-webkit2-gtk
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: webkit2-gtk
Depends: gir1.2-webkit2-4.1,
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-gtk3 (>= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Multi-Arch: foreign
Description: WebKitGTK+ bindings for the Ruby language
 WebKitGTK+ is the GNOME platform port of the WebKit rendering engine.
 Offering WebKit’s full functionality through a set of GObject-based APIs,
 it is suitable for projects requiring any kind of web integration, from
 hybrid HTML/CSS applications to full-fledged web browsers, like Epiphany
 and Midori.
 .
 This package contains libraries for using WebKitGTK+ with GTK+ 3 and the Ruby
 language.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	dh_fixperms
 	# Remove executable flag from some examples that aren't actually executable.
 	chmod -x debian/ruby-glib2/usr/share/doc/ruby-glib2/examples/type-register*.rb
-	chmod -x debian/ruby-gtk2/usr/share/doc/ruby-gtk2/examples/misc/properties.rb
 	chmod -x debian/ruby-gtk3/usr/share/doc/ruby-gtk3/examples/misc/properties.rb
 
 override_dh_compress:

## ruby-gnome 4.2.2

=== debian/changelog ===
ruby-gnome (4.2.2-2) unstable; urgency=medium

  * Team upload
  * Source upload to allow migration to testing

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Sep 2024 13:08:16 -0300

ruby-gnome (4.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.2.2
    - builds with gcc 14 (Closes: #1075460)
  * Refresh patches
  * debian/rules: simplify file installation
    - add override_dh_auto_install target to ensure development files are
      shipped in ruby-gnome-dev again
  * Add binary packages for Gdk 4 and GTK+ 4 bindings
  * Add build dependency on libgtk-4-dev
  * Amend patch to also skip dependency-check for gtk4
  * Amend patch to no test modules that we don't build
  * Set HIGUCHI Daisuke as uploader to reflect reality
  * debian/rules: remove dead code

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 27 Aug 2024 09:43:22 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: ruby-gnome
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Paul van Tilburg <paulvt@debian.org>,
-           Michael Schutte <m.schutte.jr@gmail.com>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb,
                dctrl-tools,
@@ -15,6 +13,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtksourceview-3.0-dev,
+               libgtk-4-dev,
                libjpeg-dev,
                libpng-dev,
                librsvg2-dev,
@@ -116,6 +115,25 @@
  graphics system.  It is mainly use by GTK+ 3.
  .
  This package contains libraries for using GDK 3 with the Ruby programming
+ language.
+
+Package: ruby-gdk4
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+X-DhRuby-Root: gdk4
+Depends: gir1.2-gtk-4.0,
+         ruby-cairo-gobject (>= ${source:Version}),
+         ruby-gdk-pixbuf2 (>= ${source:Version}),
+         ruby-pango (>= ${source:Version}),
+         ${misc:Depends},
+         ${ruby:Depends}
+Multi-Arch: foreign
+Description: GDK 4 bindings for the Ruby language
+ GDK is a computer graphics library that acts as a wrapper around the
+ low-level drawing and windowing functions provided by the underlying
+ graphics system.  It is mainly use by GTK+ 4.
+ .
+ This package contains libraries for using GDK 4 with the Ruby programming
  language.
 
 Package: ruby-gio2
@@ -234,6 +252,24 @@
  This package contains libraries for using GTK+ 3 with the Ruby programming
  language.
 
+Package: ruby-gtk4
+Architecture: any
+XB-Ruby-Versions: ${ruby:Versions}
+X-DhRuby-Root: gtk4
+Depends: ruby-atk (>= ${source:Version}),
+         ruby-gdk4 (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         ${ruby:Depends}
+Multi-Arch: same
+Description: GTK+ 4 bindings for the Ruby language
+ GTK+ is a multi-platform toolkit for creating graphical user interfaces.
+ Offering a complete set of widgets, GTK+ is suitable for projects ranging
+ from small one-off tools to complete application suites.
+ .
+ This package contains libraries for using GTK+ 4 with the Ruby programming
+ language.
+
 Package: ruby-gtksourceview4
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
@@ -315,12 +351,3 @@
          ${misc:Depends},
          ${ruby:Depends}
 Multi-Arch: foreign
-Description: WebKitGTK+ bindings for the Ruby language
- WebKitGTK+ is the GNOME platform port of the WebKit rendering engine.
- Offering WebKit’s full functionality through a set of GObject-based APIs,
- it is suitable for projects requiring any kind of web integration, from
- hybrid HTML/CSS applications to full-fledged web browsers, like Epiphany
- and Midori.
- .
- This package contains libraries for using WebKitGTK+ with GTK+ 3 and the Ruby
- language.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR=1
 
 export DESTDIR=$(CURDIR)/debian/tmp
 export make=make V=1 DESTDIR='$(DESTDIR)' \
@@ -9,8 +7,6 @@
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
-
-MODULES = $(shell grep-dctrl -n -s X-DhRuby-Root '' debian/control)
 
 override_dh_installdocs:
 	dh_installdocs -XTODO
@@ -23,3 +19,23 @@
 
 override_dh_compress:
 	dh_compress -X.rb
+
+dev_files := usr/lib/*/ruby/vendor_ruby/*/*.h \
+	     usr/lib/ruby/vendor_ruby/glib-mkenums.rb \
+	     usr/lib/ruby/vendor_ruby/gnome2-raketask.rb \
+	     usr/lib/ruby/vendor_ruby/mkmf-gnome.rb \
+	     usr/lib/ruby/vendor_ruby/mkmf-gnome2.rb \
+	     usr/lib/ruby/vendor_ruby/gnome2/rake
+
+override_dh_auto_install:
+	dh_auto_install
+	# move development files to ruby-gnome-dev:
+	for p in $(dev_files); do \
+		for f in $$(ls -1d debian/ruby-*/$$p); do \
+			target=$$(echo $$f | cut -d / -f 3-); \
+			mkdir -p $$(dirname debian/ruby-gnome-dev/$$target); \
+			mv $$f debian/ruby-gnome-dev/$$target; \
+		done; \
+	done
+	# cleanup empty directories
+	find $(CURDIR)/debian/ruby-* -type d -empty -delete

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/ \
https://api.github.com/repos/@PACKAGE@/@PACKAGE@/tags \
https://api.github.com/repos/@PACKAGE@/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@

## ruby-gnome 4.3.4

=== debian/changelog ===
ruby-gnome (4.3.4-4) unstable; urgency=medium

  * Team upload
  * autopkgtest does not need quilt

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Feb 2026 12:20:17 +0100

ruby-gnome (4.3.4-3) unstable; urgency=medium

  * Team upload
  * d/p: Adapt to GLib 2.87 changes

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Feb 2026 07:58:07 -0500

ruby-gnome (4.3.4-2) unstable; urgency=medium

  * Team upload

  [ Georges Khaznadar ]
  * Add new binary packages
    + ruby-gsk4
    + ruby-graphene1
  * relaxed constraint for minimal versions on build-dependencies
    ruby-pkg-config, libffi-dev.

  [ Jeremy Bícha ]
  * Remove unused Build-Depends: libgtksourceview-3.0-dev (Closes: #1110181)
  * Use Build-Depends: libgirepository-1.0-dev instead of libgirepository1.0-dev
    (Closes: #1118919)
  * autopkgtest: Don't run tests for obsolete clutter-gstreamer & libhandy
  * autopkgtest: Don't run tests for vte3 & vte4 since we haven't packaged
    those components
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Feb 2026 13:23:07 -0500

ruby-gnome (4.3.4-1.0) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Georges Khaznadar ]
  * Non-maintainer upload (Closes: #1097815)
  * New upstream version 4.3.4
  * Bumped Standards-Version: 4.7.2
  * Updated debian patches
  * removed the obsolete line "XS-Ruby-Versions: all" from d/control
  * removed debian/ruby-gnome-dev.lintian-override

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Dec 2025 18:52:00 +0100

=== debian/tests/control ===
Tests: run-test
Depends: @, xvfb, xauth,
 pkg-config, libgtk-3-dev, dbus-x11, gstreamer1.0-plugins-good,
 gnome-icon-theme, libxml2-utils
Restrictions: allow-stderr
